DBService (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.align.service
Interface DBService

All Known Implementing Classes:
  DBServiceImpl

    public interface DBService

Method Summary
`void` | `close()`
`void` | `connect(String password)`
`void` | `connect(String user, String password)`
`void` | `connect(String port, String user, String password)`
`void` | `connect(String IPAdress, String port, String user, String password)`
`void` | `connect(String IPAdress, String port, String user, String password, String database)`
`Connection` | `getConnection()`
`void` | `init()`
`Connection` | `reconnect()`

Method Detail

### init

    void init()

### connect

    void connect(String password)
                 throws SQLException

  Throws:
    `SQLException`

### connect

    void connect(String user,
                 String password)
                 throws SQLException

  Throws:
    `SQLException`

### connect

    void connect(String port,
                 String user,
                 String password)
                 throws SQLException

  Throws:
    `SQLException`

### connect

    void connect(String IPAdress,
                 String port,
                 String user,
                 String password)
                 throws SQLException

  Throws:
    `SQLException`

### connect

    void connect(String IPAdress,
                 String port,
                 String user,
                 String password,
                 String database)
                 throws SQLException

  Throws:
    `SQLException`

### getConnection

    Connection getConnection()
                             throws SQLException

  Throws:
    `SQLException`

### reconnect

    Connection reconnect()
                         throws SQLException

  Throws:
    `SQLException`

### close

    void close()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010